Home | All Classes | Grouped Classes | Index | Search

# CL_Menu::create_toggle_item

Convenience function for easy creation of menus. Creates a toggling menu item in the specified path. Returns the parent node of the created item.

    	CL_MenuNode* create_toggle_item(
    		const std::string& path, const std::string& labels=std::string());

Parameters:

std::string path
  path the menu item to create. Ex. "File/Open"
std::string labels
  labels of the menu items to create. Ex. "Fil/Aben"

See also:

CL_Menu | CL_MenuNode

Questions or comments, write to the ClanLib mailing list.